using System.Collections.Generic;

public class MusicPlayerInitData
{
    private Dictionary<string, float> ChangedVolumesSoundsList = new Dictionary<string, float>();

    public MusicPlayerInitData()
    {

    }

    public Dictionary<string, float> GetChangedVolumesSoundsList()
    {
        return ChangedVolumesSoundsList;
    }

    public void AddChangedVolumes(params KeyValuePair<string, float>[] keyValuePairs)
    {
        for (int i = 0; i < keyValuePairs.Length; i++)
        {
            ChangedVolumesSoundsList.Add(keyValuePairs[i].Key, keyValuePairs[i].Value);
        }
    }
}